com.hazelcast.jet.datamodel

## Class WindowResult<K,R>

- java.lang.Object
- - com.hazelcast.jet.datamodel.WindowResult<K,R>

- Type Parameters:
    `K` - type of key
    `R` - type of aggregated result
  All Implemented Interfaces:
    Map.Entry<K,R>

      public class WindowResult<K,R>
      extends Object
      implements Map.Entry<K,R>

  Holds the result of a group-and-aggregate operation performed in a time window.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowResult(long start, long end, K key, R result)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `long` | `getEnd()` Returns the ending timestamp of the window.
    `K` | `getKey()` Returns the key.
    `long` | `getStart()` Returns the starting timestamp of the window.
    `R` | `getValue()` Returns the aggregated result.
    `int` | `hashCode()`
    `R` | `setValue(R value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `comparingByKey, comparingByKey, comparingByValue, comparingByValue`

- - ### Constructor Detail

    - #### WindowResult

          public WindowResult(long start,
                              long end,
                              @Nonnull
                              K key,
                              @Nonnull
                              R result)

      Parameters:
        `start` - `getStart()`
        `end` - `getEnd()`
        `key` - `getKey()`
        `result` - `getValue()`

  - ### Method Detail

    - #### getStart

          public long getStart()

      Returns the starting timestamp of the window.

    - #### getEnd

          public long getEnd()

      Returns the ending timestamp of the window.

    - #### getKey

          @Nonnull
          public K getKey()

      Returns the key.
      Specified by:
        `getKey` in interface `Map.Entry<K,R>`

    - #### getValue

          @Nonnull
          public R getValue()

      Returns the aggregated result.
      Specified by:
        `getValue` in interface `Map.Entry<K,R>`

    - #### setValue

          public R setValue(R value)

      Specified by:
        `setValue` in interface `Map.Entry<K,R>`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in interface `Map.Entry<K,R>`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map.Entry<K,R>`
      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.